// Zippo
// 2003 Zippo Manufacturing Co. All rights reserved.
// http://www.zippo.com

var PanelIsOpened= false;
var PlayListIsOpened = false;
var EQPIsOpened = false;
var VidSettingsIsOpened = false;
var VisualEffectsIsOpened = false;
var ZippoInfoIsOpened = false;
var svwMetadataIsOpened = true;
var VideoIsOpen = false;

var g_SetPlayPauseFocus = false;
/********************************/
var introAnim = true;

function introSequence(){
	if(introAnim){
		animation.backgroundImage = "startup-animation3.gif";
		introAnim = false;
	}
}
/********************************/
function PanelClose(){
	Panel.moveto(32, 50, 600);
	VideoSettingClose();
	PlaylistClose();
	EQClose();
	PanelIsOpened= true;
}
function PanelOpen(){
	view.width = 643;
	Panel.width = 343;
	Panel.moveto(300, 50, 600);
	PanelIsOpened= false;
	bShadow.visible = true;
}
/********************************/
function PanelOnEndMove(){
    bPanelToggle.upToolTip = PanelIsOpened ? xEqPl.value : xEqPl.toolTip;
    if(PanelIsOpened) {
		bPanelToggle.visible = true;
		bShadow.visible = false;
		ctrlPlaylist.visible = false;
    }else{
		bPanelToggle.visible = false;
		if (PlayListIsOpened){ ctrlPlaylist.visible = true; }
	}
}
/********************************/
function TogglePlayList(){
	if (PlayListIsOpened){
		PanelClose();
		PlaylistClose();
	}else{
		PanelOpen();
		if (EQPIsOpened){ EQClose(); }
		if (VidSettingsIsOpened){ VideoSettingClose(); }
		PlaylistOpen();
	}
}
function PlaylistOpen(){
	PlayList.visible = true;
    PlayListIsOpened = true;
}
function PlaylistClose(){
	PlayList.visible = false;
    PlayListIsOpened = false;
	bPlaylist.down = false;
}
/********************************/
function ToggleEQP(){
	if (EQPIsOpened){
		PanelClose();
		EQClose();
	}else{
		PanelOpen();
		if (PlayListIsOpened){ PlaylistClose(); }
		if (VidSettingsIsOpened){ VideoSettingClose(); }
		EQOpen();
	}
}
function EQOpen(){
    EQPanel.visible = true;
    EQPIsOpened = true;
}
function EQClose(){
    EQPanel.visible = false;
    EQPIsOpened = false;
	bEqualizer.down = false;
}
/********************************/
function ToggleVidSettings(){
	if (VidSettingsIsOpened){
		PanelClose();
	}else{
		PanelOpen();
		if (EQPIsOpened){ EQClose(); }
		if (PlayListIsOpened){ PlaylistClose(); }
		VideoSettingOpen();
	}
}
function VideoSettingOpen(){
    VidSettings.visible = true;
    VidSettingsIsOpened = true;
}
function VideoSettingClose(){
    VidSettings.visible = false;
    VidSettingsIsOpened = false;
	bVideosettings.down = false;
}
/********************************/
function ToggleZippoInfo(){
	if (ZippoInfoIsOpened){
	CloseZippoInfo();
	}else{
	OpenZippoInfo();
	if (ToggleVisualEffects){CloseVisualEffects();}
	}
}
function OpenZippoInfo(){
	ZippoInfo.visible = true;
	ZippoInfoGlass.visible = true;
    ZippoInfoIsOpened = true;
	bZippoInfo.down = true;
}
function CloseZippoInfo(){
	ZippoInfo.visible = false;
	ZippoInfoGlass.visible = false;
    ZippoInfoIsOpened = false;
	bZippoInfo.down = false;
}

/********************************/
function ToggleVisualEffects(){
	if (VisualEffectsIsOpened){
	CloseVisualEffects();
	}else{
	OpenVisualEffects();
	if (ZippoInfoIsOpened){CloseZippoInfo();}
	}
}
function OpenVisualEffects(){
	VisualEffects.visible = true;
	vislight.visible = true;
	visEffects.visible = true;
    VisualEffectsIsOpened = true;
	bVisualeffects.down = true;
}
function CloseVisualEffects(){
	VisualEffects.visible = false;
	vislight.visible = false;
	visEffects.visible = false;
    VisualEffectsIsOpened = false;
	bVisualeffects.down = false;
}
/********************************/
function addToPlaylist(){
	var media = theme.openDialog( "FILE_OPEN" , "FILES_ALLMEDIA" );
	if(media){
		newMedia = player.mediaCollection.add( media );
		ctrlPlaylist.playlist.appendItem( newMedia );
	}
}

function delFromPlaylist(){
	ctrlPlaylist.deleteSelected();
}
/********************************/
function ResetbrightVideoSettings() {
    vs.brightness=0;
}

function ResetcontrastVideoSettings(){
    vs.contrast=0;
}

function ResethueVideoSettings(){
    vs.hue=0;
}

function ResetsaturationVideoSettings(){
    vs.saturation=0;
}
/********************************/
function vwPlayer_OnLoad(){
    onPlayStateChange();
    vwPlayer_UpdateMetadata();
	ctrlVis.alphaBlend=1;
    vwPlayer_OnOpenStateChange(NewState);
}
/********************************/
function vwPlayer_OnOpenStateChange(NewState){
    pl.setColumnResizeMode(0, "Stretches");
    pl.setColumnResizeMode(1, "AutoSizeData");

    vwPlayer_UpdateMetadata();

    ctrlAlbumArt.image = "WMPImage_AlbumArtSmall";
    vwPlayer.timerInterval=1000;
}

function onPlayStateChange() {
	vidIsPlaying = (player.OpenState == osMediaOpen) && (player.currentMedia.ImageSourceWidth>0);
	vidIsPlaying ?	OpenVideo() : none() ;
}

function OnLoadvid() {
    VideoIsOpen = true;


if (player.currentMedia.imageSourceWidth<280){
        view.Width= 280 + 18;
        view.Height= player.currentMedia.imageSourceHeight * 280 / player.currentMedia.imageSourceWidth + 64;
}else{
        view.width= player.currentMedia.imageSourceWidth + 18;
        view.height= player.currentMedia.imageSourceHeight + 64;
}
        view.minWidth= 280 + 18;
        view.minHeight= player.currentMedia.imageSourceHeight * 280 / player.currentMedia.imageSourceWidth + 64;

        view.maxWidth= 1280 + 18;
        view.maxHeight= player.currentMedia.imageSourceHeight * 1280 / player.currentMedia.imageSourceWidth + 64;
}

function OpenVideo() {
	if (player.controls.isAvailable("Stop")) {
		theme.openview('Video');
	    VideoIsOpen = true;
	}
}

function CloseVideo() {
	if(player.currentMedia.ImageSourceWidth>0) {
	player.controls.stop();
	}
	Video.close();
}
/********************************/
function vwPlayer_UpdateMetadata(){
    var sz1;
    var sz2;

    if (player.openState == 13){
      sz1 = player.currentMedia.getItemInfo( 'Author' );
      sz1b = "Author";

    	if( sz1 == "" ){ sz1 = player.currentMedia.getItemInfo( 'Copyright' ); }
      sz2 = player.currentMedia.getItemInfo('Album');
      sz2b = "Album";
    	if (sz2 == ""){ sz2 = player.currentMedia.getItemInfo('Band'); }
    }

    if( sz1 != null ){ txt1.value = sz1; txt1b.value = sz1b;}
    if( sz2 != null ){ txt2.value = sz2; txt2b.value = sz2b; }
}
/********************************/
function GetImageString(){
    if( !player.currentMedia ){ return "res://wmploc.dll/RT_BITMAP/#521";	 }
	return "WMPImage_AlbumArtSmall";
}
/********************************/
function EQSelectMenu(){
    var index = 0;
    var max = EQ.presetCount;

    mnuEQSelect.deleteAll();

    for (index=0; index<max; index++){
        mnuEQSelect.AppendItem( EQ.presetTitle(index) );
    }
    mnuEQSelect.selectedItem = EQ.currentPreset;
    mnuEQSelect.show();
}

function UpdateEQMode(){
    EQ1.enabled = !EQ.bypass;
    EQ2.enabled = !EQ.bypass;
    EQ3.enabled = !EQ.bypass;
    EQ4.enabled = !EQ.bypass;
    EQ5.enabled = !EQ.bypass;
    EQ6.enabled = !EQ.bypass;
    EQ7.enabled = !EQ.bypass;
    EQ8.enabled = !EQ.bypass;
    EQ9.enabled = !EQ.bypass;
    EQ10.enabled = !EQ.bypass;
}
/********************************/